GNU bug report logs - #5411
show-paren-mode and parens spread over multi-line comments

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Matrix <min.matrix@HIDDEN>; merged with #5410; dated Mon, 18 Jan 2010 12:56:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Severity set to 'wishlist' from 'normal' Request was from Andrew Hyatt <ahyatt@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Changed bug title to 'show-paren-mode and parens spread over multi-line comments' from 'cMatching Bug!!!!!!' Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 24.0.90. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
bug reassigned from package 'emacs' to 'emacs,cc-mode'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 5410 5411. Request was from Juanma Barranquero <lekktu@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2010 12:55:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 18 07:55:36 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NWr8p-0006yx-II
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:55:35 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <min.matrix@HIDDEN>) id 1NWqZZ-00065o-G4
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:19:21 -0500
Received: from mx10.gnu.org ([199.232.76.166]:35820)
	by fencepost.gnu.org with esmtp (Exim 4.69)
	(envelope-from <min.matrix@HIDDEN>) id 1NWqZU-0002Un-14
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:19:04 -0500
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim
	4.60) (envelope-from <min.matrix@HIDDEN>) id 1NWqZS-00027q-PF
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:19:03 -0500
X-Spam-Checker-Version: SpamAssassin 3.1.0 (2005-09-13) on monty-python
X-Spam-Level: 
X-Spam-Status: No, score=-2.3 required=5.0 tests=BAYES_00,PLING_PLING,
	UNPARSEABLE_RELAY autolearn=no version=3.1.0
Received: from lists.gnu.org ([199.232.76.165]:47169)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <min.matrix@HIDDEN>) id 1NWqZS-00027k-K3
	for submit <at> debbugs.gnu.org; Mon, 18 Jan 2010 07:19:02 -0500
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1NWqZS-0008JD-4z
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jan 2010 07:19:02 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1NWqZN-0008Ia-3n
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jan 2010 07:19:01 -0500
Received: from [199.232.76.173] (port=38773 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1NWqZM-0008IU-VS
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jan 2010 07:18:57 -0500
Received: from mail-pw0-f47.google.com ([209.85.160.47]:38067)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <min.matrix@HIDDEN>) id 1NWqZM-000276-Lo
	for bug-gnu-emacs@HIDDEN; Mon, 18 Jan 2010 07:18:56 -0500
Received: by pwj10 with SMTP id 10so1887004pwj.26
	for <bug-gnu-emacs@HIDDEN>; Mon, 18 Jan 2010 04:18:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:subject:from:to:content-type
	:date:message-id:mime-version:x-mailer:content-transfer-encoding;
	bh=zBgCDPnYDifDusAqnUVaY+v9xFP7RRwuHrISrS9ze+U=;
	b=CIDa15BrktCLVebqYbwDapxxNJ7cK0XkzODH/cIJaoxiopmLXgJ3fQ/CDE7gLgGtfB
	2s3ndsFF+MqCfHPbNvAHDfWIZLxG0xxa3b4p6VJ8Wal7jpx4N0ZXDwQt+ycH1i/NaJ+M
	ZY4cGt2XUXTd+cTGLwHSAmUkg130PB6NrKCJo=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=subject:from:to:content-type:date:message-id:mime-version:x-mailer
	:content-transfer-encoding;
	b=iSz4ows2PfHoH/DQxLCWe7zOp8giFcYMhPI9B/dF9K4zXlaekicVbbFNUkdPKPe7bt
	5vCbIg2D261i+iOkJOVcUD8Txkn+1DZRQDnhHFrVdV7A/sEToHrjBX6N+4/2isOxA+7N
	3rmjfmH0+J3Fl9zp4M34Q6dosmF1VP7ffMO6o=
Received: by 10.142.56.11 with SMTP id e11mr4117180wfa.118.1263817134971;
	Mon, 18 Jan 2010 04:18:54 -0800 (PST)
Received: from ?219.228.60.67? ([219.228.60.67])
	by mx.google.com with ESMTPS id 20sm4221685pzk.5.2010.01.18.04.18.52
	(version=SSLv3 cipher=RC4-MD5); Mon, 18 Jan 2010 04:18:54 -0800 (PST)
Subject: cMatching Bug!!!!!!
From: Matrix <min.matrix@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Date: Mon, 18 Jan 2010 20:18:53 +0800
Message-ID: <1263817133.2894.13.camel@matrix-laptop>
Mime-Version: 1.0
X-Mailer: Evolution 2.28.1 
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -5.9 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 18 Jan 2010 07:55:34 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

   Hello , developer! I am a student of china . I like emacs very much .
I use it to read txt-format book(because the color-theme of my emacs is
very good for eye!^^) . I also use emacs to coding!good~!!
   But now I find a bug in emacs :( . May be it`s not a bug , I want to
believe this.Now The-Bug as follow:

   //      Print a message and dump core (equivalent to ASSERT(FALSE)
without
//	making the compiler whine).

   The Parenthesis-Matching-highlight is work with the second '(' .
yeah  , When my cursor at the second '(' the first ')' highlight . But
when my cursor at first '(' , the second ')' doesn`t highlight and show 
unmatch Parenthesis....I think this is wrong , It match as:  (  ( )  ).

   ^^ , I like emacs , I want it  to be  more good tool for me and other
programer!!
   Thanks developers!!!






Acknowledgement sent to Matrix <min.matrix@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#5411; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 11 Aug 2016 04:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.